Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate
Class OptimisticLockException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.dialect.lock.LockingStrategyException
                          org.hibernate.dialect.lock.OptimisticEntityLockException
                              org.hibernate.OptimisticLockException

All Implemented Interfaces:
  Serializable

Deprecated. Use `OptimisticEntityLockException` instead

    public class OptimisticLockException

extends OptimisticEntityLockException

Throw when an optimistic locking conflict occurs.

See Also:
  Serialized Form

Constructor Summary
`OptimisticLockException(Object entity, String message)` Deprecated.

Method Summary

Methods inherited from class org.hibernate.dialect.lock.LockingStrategyException
`getEntity`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OptimisticLockException

    public OptimisticLockException(Object entity,
                                   String message)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.